summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author David Melik2020-11-21 09:50:06 +0100
committer Willy Sudiarto Raharjo2020-11-21 19:14:25 +0100
commit134afdf394888f348d68edadb43eb4cac3c0c67b (patch)
treefe5823b149080039bfd8a49177df383487e41493
parent2a4f0f71d8a4ec11c77e016e3ebefd7f323b24c6 (diff)
downloadslackbuilds-134afdf394888f348d68edadb43eb4cac3c0c67b.tar.gz
network/icyque: Added (ICQ WIM protocol for libpurple)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--network/icyque/README12
-rw-r--r--network/icyque/icyque.SlackBuild90
-rw-r--r--network/icyque/icyque.info10
-rw-r--r--network/icyque/slack-desc19
4 files changed, 131 insertions, 0 deletions
diff --git a/network/icyque/README b/network/icyque/README
new file mode 100644
index 0000000000..1bbf8c250b
--- /dev/null
+++ b/network/icyque/README
@@ -0,0 +1,12 @@
+icyque
+
+ICQ WIM protocol for libpurple
+
+Setup
+
+If you're switching to IcyQue from the built-in ICQ plugin, you'll
+need to restart Pidgin and then edit your existing account (or create a
+new account) with the "ICQ (WIM)" protocol.
+
+If you only have a phone number, then enter that with a + at the
+beginning and leave the password field blank.
diff --git a/network/icyque/icyque.SlackBuild b/network/icyque/icyque.SlackBuild
new file mode 100644
index 0000000000..84350557a0
--- /dev/null
+++ b/network/icyque/icyque.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/sh
+
+# Slackware build script for icyque
+
+# Copyright 2020, SlackBuilds.org, David Melik, Spokane, WA, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=icyque
+VERSION=${VERSION:-20200618_4fc08a0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+GITVER="$( echo $VERSION | cut -d_ -f2 )"
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$GITVER*
+tar xvf $CWD/$PRGNAM-$GITVER*.tar.gz
+cd $PRGNAM-$GITVER*
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/icyque/icyque.info b/network/icyque/icyque.info
new file mode 100644
index 0000000000..30e1ba8a43
--- /dev/null
+++ b/network/icyque/icyque.info
@@ -0,0 +1,10 @@
+PRGNAM="icyque"
+VERSION="20200618_4fc08a0"
+HOMEPAGE="https://github.com/EionRobb/icyque/"
+DOWNLOAD="https://github.com/EionRobb/icyque/archive/4fc08a09f2824bd039089fa54cbabf6be2221707/icyque-4fc08a09f2824bd039089fa54cbabf6be2221707.tar.gz"
+MD5SUM="8d1cd5cc28b78d5f44615791f3994600"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="json-glib"
+MAINTAINER="David Melik"
+EMAIL="dchmelik@gmail.com"
diff --git a/network/icyque/slack-desc b/network/icyque/slack-desc
new file mode 100644
index 0000000000..d0937aee71
--- /dev/null
+++ b/network/icyque/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+icyque: icyque (ICQ WIM protocol for libpurple)
+icyque:
+icyque: If you're switching to IcyQue from the built-in ICQ plugin, you'll
+icyque: need to restart Pidgin and then edit your existing account (or create
+icyque: a new account) with the "ICQ (WIM)" protocol.
+icyque:
+icyque: If you only have a phone number, then enter that with a + at the
+icyque: beginning and leave the password field blank.
+icyque:
+icyque: https://github.com/EionRobb/icyque/
+icyque: